# Class EclipsePreferencesHandler

java.lang.Object
org.eclipse.e4.ui.css.swt.properties.preference.EclipsePreferencesHandler

All Implemented Interfaces:
  `ICSSPropertyHandler`

public class EclipsePreferencesHandler extends Object implements ICSSPropertyHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PREFERENCES_PROP`

## Constructor Summary

Constructors
Constructor
Description
`EclipsePreferencesHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applyCSSProperty(Object element, String property, CSSValue value, String pseudo, CSSEngine engine)`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the `element` (ex : Swing Component, SWT Widget).
`protected void`
`overrideProperty(IEclipsePreferences preferences, String name, String value)`
`protected void`
`overrideProperty(IEclipsePreferences preferences, CSSValue value)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ICSSPropertyHandler

`onAllCSSPropertiesApplied, onAllCSSPropertiesApplied, retrieveCSSProperty`

## Field Details

### PREFERENCES_PROP

public static final String PREFERENCES_PROP

See Also:
  - Constant Field Values

## Constructor Details

### EclipsePreferencesHandler

public EclipsePreferencesHandler()

## Method Details

### applyCSSProperty

public boolean applyCSSProperty(Object element, String property, CSSValue value, String pseudo, CSSEngine engine)
Description copied from interface: `ICSSPropertyHandler`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the `element` (ex : Swing Component, SWT Widget).

Specified by:
  `applyCSSProperty` in interface `ICSSPropertyHandler`
Parameters:
  `element` - Swing Component, SWT Widget...
  `property` - CSS Property
  `value` - CSS value
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Returns:
  weather CSS property was applied or not

### overrideProperty

protected void overrideProperty(IEclipsePreferences preferences, CSSValue value)

### overrideProperty

protected void overrideProperty(IEclipsePreferences preferences, String name, String value)